CADxp: Mise en page - CADxp

Aller au contenu

Page 1 sur 1

Mise en page Modifier la mise en page sur plusieurs présentation

#1 L'utilisateur est hors-ligne   Jarl 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 2
  • Inscrit(e) : 30-janvier 19

Posté 30 janvier 2019 - 16:50

Bonjour,

J'aimerais pouvoir modifier la mise en page sur plusieurs présentation.

Je m'explique:
Sur un projet, j'ai une vingtaine de présentation prédéfini ( Plan aménagement, électrique, clim etc). Et j'ai découvert que l'on pouvait centrer automatiquement le tracé sur la zone d'impression. Et j'aimerais l'appliquer à l'ensemble de mes présentation de manière rapide. Eviter de faire ce réglage sur chaque présentation.

Je sais que la solution existe grâce au .dwt, mais je ne m'en sors pas...

Quelqu'un pourrait m'expliquer étape par étape cette réalisation ?

Merci d'avance pour votre aide.

Jarl
0

#2 L'utilisateur est hors-ligne   ssalle 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 20-novembre 15

Posté 31 janvier 2019 - 08:14

Bonjour,

il y a le lisp suivant qui répond peut etre à ton problème:

;;;*********************************************************
;;; Sauvegarde toutes les présentation dans une vue étendue
;;; Pour philsogood de CadXP.com
;;;*********************************************************
(defun c:SauvPresZoomEtendu (/ lay Pos LstPresent)
(vlax-for lay (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object)))
(setq LstPresent (cons (cons (vla-get-taborder lay) (vla-get-name lay)) LstPresent))
) ;_ Fin de vlax-for
(setq Pos 1)
(while (/= (cdr (assoc Pos LstPresent)) nil)
(command "_.layout" "_set" (vl-princ-to-string (cdr (assoc Pos LstPresent))))
(command "_zoom" "t")
(setq Pos (1+ Pos))
) ;_ Fin de while
(command "_qsave")
;;(command "_close")
(princ)
) ;_ Fin de defun
Autocad MAP2019 - Covadis V17.0e
0

#3 L'utilisateur est hors-ligne   Jarl 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 2
  • Inscrit(e) : 30-janvier 19

Posté 31 janvier 2019 - 09:10

Merci pour ton aide. J'aimerais modifier la mise en page des présentations de manière général. Pas seulement pour centrer le tracé. Pour d'autre projet j'aimerais modifier: le format, le style de tracé, l'echelle etc...

Et je t’avouerais que je ne sais pas comment installer un LIPS... Un jour, une personne m'a installé plusieurs LIPS mais c'était des fichiers LSP ou .dll
Et je ne sais pas quoi faire de ton texte ^^' désolé

Est-il possible de passer par une commande classique de AutoCAD ?
0

#4 L'utilisateur est hors-ligne   DenisHen 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3340
  • Inscrit(e) : 17-décembre 05
  • LocationSAINT FLORENTIN (Yonne)

Posté 09 février 2019 - 15:26

C'est drôle, j'ai l'impression qu'il est de moi (en partie), ce Lisp... Heureux d'être utile...
Windows 10 Pro 64bits / AutoCAD MAP 3D 2019 (22.0.022.4)
Covadis 16 / Microstation V8i

Sur terre, il y a 10 types de personnes, celles qui comptent en binaire et les autres...
Davantage d'avantages, avantagent davantage. (Bobby Lapointe)
La connaissance s'accroît quand on la partage.(Socrate)
0

#5 L'utilisateur est hors-ligne   demonaxe 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 1
  • Inscrit(e) : 04-mai 19

Posté 04 mai 2019 - 22:47

Salut
pour créer un lips :
-créer un document texte
-coller le LIPS à l’intérieur du document texte
-enregistrer le document texte
-renommer le document texte en changeant l’extension du fichier ".txt" par ".LSP"

Cordialement.
0

Partager ce sujet :


Page 1 sur 1


Réponse rapide

  

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)